diff --git configure.ac configure.ac
index 95f24fc..15c274b 100644
--- configure.ac
+++ configure.ac
@@ -1481,7 +1481,7 @@ AC_ARG_ENABLE(lua,
     [disable LUA scripting support (default enabled)])])
 if test "${enable_lua}" != "no"
 then
-  PKG_CHECK_MODULES(LUA, lua5.2,
+  PKG_CHECK_MODULES(LUA, lua-5.2,
     [ have_lua=yes ],
     [
     AC_MSG_WARN([${LUA_PKG_ERRORS}, trying lua 5.1 instead])
@@ -1498,8 +1498,8 @@ then
           AC_CHECK_HEADERS([lua.h lauxlib.h lualib.h],
             [],
             [ have_lua=no ] )
-          AC_CHECK_LIB(  lua5.2 , luaL_newstate,
-            [LUA_LIBS="-llua5.2"],
+          AC_CHECK_LIB(  lua-5.2 , luaL_newstate,
+            [LUA_LIBS="-llua-5.2"],
           AC_CHECK_LIB( lua5.1 , luaL_newstate,
             [LUA_LIBS="-llua5.1"],
             AC_CHECK_LIB( lua51 , luaL_newstate,
@@ -1516,7 +1516,7 @@ then
       AC_MSG_ERROR([Could not find lua. Lua is needed for some interfaces (rc, telnet, http) as well as many other custom scripts. Use --disable-lua to ignore this error.])
   fi
   AC_ARG_VAR([LUAC], [LUA byte compiler])
-  AC_PATH_PROGS(LUAC,[${LUAC} luac], [false])
+  AC_PATH_PROGS(LUAC,[${LUAC} luac5.2], [false])
   AS_IF([test "${LUAC}" = "false"], [
     AC_MSG_ERROR([Could not find the LUA byte compiler.])
   ])
diff --git modules/lua/vlc.h modules/lua/vlc.h
index c7a2913..b5ebbd8 100644
--- modules/lua/vlc.h
+++ modules/lua/vlc.h
@@ -39,9 +39,9 @@
 #include <vlc_demux.h>
 
 #define LUA_COMPAT_MODULE
-#include <lua.h>        /* Low level lua C API */
-#include <lauxlib.h>    /* Higher level C API */
-#include <lualib.h>     /* Lua libs */
+#include <lua-5.2/lua.h>        /* Low level lua C API */
+#include <lua-5.2/lauxlib.h>    /* Higher level C API */
+#include <lua-5.2/lualib.h>     /* Lua libs */
 #if LUA_VERSION_NUM >= 502
 #define lua_equal(L,idx1,idx2)		lua_compare(L,(idx1),(idx2),LUA_OPEQ)
 #define lua_objlen(L,idx)			lua_rawlen(L,idx)
